import { HttpInterceptorFn } from '@angular/common/http';
import { inject } from '@angular/core';
import { AuthService } from '../../service/auth.service';

export const httpInterceptor: HttpInterceptorFn = (req, next) => {
  return next(req.clone({
    setHeaders: {'Authorization': 'Bearer '+inject(AuthService).getAccessToken()},
  }));
};
